Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxUART.h File Reference Public header for the Intel IXP425 internal UART, generic driver. More... Go to the source code of this file.
## Data Structures
struct | ixUARTDev
| Device descriptor for the UART. More...
struct | ixUARTStats
| Statistics for the UART. More...
## Defines
#define | IX_UART_DEF_OPTS
| The default hardware options to set the UART to - no flow control, 8 bit word, 1 stop bit, no parity.
#define | IX_UART_DEF_XMIT
| The default UART FIFO size - must be no bigger than 64.
#define | IX_UART_DEF_BAUD
| The default UART baud rate - 9600.
#define | IX_UART_MIN_BAUD
| The minimum UART baud rate - 9600.
#define | IX_UART_MAX_BAUD
| The maximum UART baud rate - 926100.
#define | IX_UART_XTAL
| The UART clock speed.
#define | IX_BAUD_SET
| Set the baud rate.
#define | IX_BAUD_GET
| Get the baud rate.
#define | IX_MODE_SET
| Set the UART mode of operation.
#define | IX_MODE_GET
| Get the current UART mode of operation.
#define | IX_OPTS_SET
| Set the UART device options.
#define | IX_OPTS_GET
| Get the UART device options.
#define | IX_STATS_GET
| Get the UART statistics.
#define | CLOCAL
| Software flow control.
#define | CREAD
| Enable interrupt receiver.
#define | CSIZE
| Characters size.
#define | CS5
| 5 bits
#define | CS6
| 6 bits
#define | CS7
| 7 bits
#define | CS8
| 8 bits
#define | STOPB
| Send two stop bits (else one).
#define | PARENB
| Parity detection enabled (else disabled).
#define | PARODD
| Odd parity (else even).
## Enumerations
enum | ixUARTMode { INTERRUPT, POLLED, LOOPBACK }
| The mode to set to UART to. More...
## Functions
PUBLIC IX_STATUS | ixUARTInit (ixUARTDev *pUART)
| Initialise the UART. This puts the chip in a quiescent state.
PUBLIC IX_STATUS | ixUARTPollOutput (ixUARTDev *pUART, int outChar)
| Transmit a character in polled mode.
PUBLIC IX_STATUS | ixUARTPollInput (ixUARTDev *pUART, char *inChar)
| Receive a character in polled mode.
PUBLIC IX_STATUS | ixUARTIoctl (ixUARTDev *pUART, int cmd, void *arg)
| Perform I/O control routines on the device.
## Detailed Description Public header for the Intel IXP425 internal UART, generic driver. Date: 12-OCT-01 Design Notes: This driver allows you to perform the following functions: Device Initialization, send/receive characters. Perform Uart IOCTL for the following: Set/Get the current baud rate, set parity, set the number of Stop bits, set the character Length (5,6,7,8), enable/disable Hardware flow control. Only Polled mode is supported for now. Version: Revision 1.15 -- Intel Copyright Notice -- Copyright 2001-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxUART.h.
Automatically generated from sources. © Intel Corp. 2003